
Redmine - Defect #4546

Upload/POST requests very slow

2010-01-11 12:36 - Ве Fio

Status: Closed Start date: 2010-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.8.7

Description

I am a redmine 0.8.7 user with a strange problem:

first i installed redmine on debian lenny and everything ran well. i used it trough apache with the dispatcher.fcgi file.

then i had to restore the server from a backup. after the restore process, some parts of redmine were incredibly slow, especially if

you upload a file or a document or if you change or add a new ticket.

if you upload a file, the file gets uploaded very fast ( i see it on the files dir on the server ) but the http page stays white for another

30sec, then it succeeds or it brings up an error message.

i already tried to reinstall ruby, rails (diff. versions), apache etc. without success. .

here are my logfiles:

error.log

[Sun Jan 10 23:15:36 2010] [warn] (104)Connection reset by peer: mod_fcgid: read data from fastcgi server error.

[Sun Jan 10 23:15:36 2010] [error] [client 82.56.43.198] Premature end of script headers: dispatch.fcgi

production.log

nothing special

fastcgi.crash.log

[10/Jan/2010:14:19:41 :: 17622] starting

[10/Jan/2010:14:19:42 :: 17625] starting

[10/Jan/2010:14:22:45 :: 17619] asked to stop immediately

[10/Jan/2010:14:22:45 :: 17619] stopping after explicit exit

[10/Jan/2010:14:22:45 :: 13656] asked to stop immediately

[10/Jan/2010:14:22:45 :: 13656] stopping after explicit exit

[10/Jan/2010:14:22:45 :: 17622] asked to stop immediately

[10/Jan/2010:14:22:45 :: 17622] stopping after explicit exit

[10/Jan/2010:14:22:45 :: 17625] asked to stop immediately

[10/Jan/2010:14:22:45 :: 17625] stopping after explicit exit

[10/Jan/2010:14:23:22 :: 17952] starting

[10/Jan/2010:14:30:52 :: 17952] asked to stop immediately

[10/Jan/2010:14:30:52 :: 17952] stopping after explicit exit

[10/Jan/2010:14:30:58 :: 18532] starting

[10/Jan/2010:14:32:20 :: 18532] asked to stop immediately

[10/Jan/2010:14:32:20 :: 18532] stopping after explicit exit

any solutions?

History

#1 - 2010-01-11 13:36 - Ве Fio

i just found out, looks like that it happens on GET and not POST operations:

Processing ProjectsController#add_file (for 82.56.43.198 at 2010-01-11 13:40:08) [GET]

Session ID: 995559719133cff25053f217deb603c3

Parameters: {"action"=>"add_file", "id"=>"web-xxx-net", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/add_file

Completed in 0.11148 (8 reqs/sec) | Rendering: 0.08445 (75%) | DB: 0.00445 (3%) | 200 OK [http://xxxxxx/projects/add_file/web-xxxx-net]
http://xxxxxx/projects/add_file/web-xxxx-net


WAIT 40 SECONDS . .

Processing ProjectsController#list_files (for 82.56.43.198 at 2010-01-11 13:41:30) [GET]

Session ID: 995559719133cff25053f217deb603c3

Parameters: {"action"=>"list_files", "id"=>"web-xxx-net", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/list_files

Completed in 0.13263 (7 reqs/sec) | Rendering: 0.10045 (75%) | DB: 0.00654 (4%) | 200 OK [http://xxxxxxxxxxxxxx/projects/list_files/web-xxxx-net

#2 - 2010-01-17 11:09 - Jean-Philippe Lang

This looks like a timeout on email notifications.

Make sure your SMTP server is listening and properly configured in Redmine, or disable email notifications (see 

FAQ#When-I-create-a-new-issue-Redmine-freezes-for-one-minute).

#3 - 2010-07-09 15:33 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to No feedback

Closing this one as outdated.
